Subject: Re: Questions about Mathia dataset
From: "Fancsali, Stephen" <[email-masked]>
To: "[email-masked]" <[email-masked]>, Vincent Aleven <[email-masked]>
Cc: Smeet Poladia <[email-masked]>, Zhuyi Xu <[email-masked]>, Zhou Lu CMU MSP <[email-masked]>
Date: Thu, 22 Apr 2021 17:26:14 +0000

Hi Brian + Team,

Sorry I haven’t already provided the “shipped” Course 2 curriculum. I think you’re absolutely right that concentrating on the “shipped” Course 2 curriculum is quite enough!

Find attached a text file with the “shipped” Table of Contents for MATHia workspaces in Course 2. A1-A6 correspond to the “modules” of the course, each of which is comprised of units (denoted with “U”), which in turn group workspaces together (denoted by “S,” as they used to be called “sections”). For each S or workspace entry, you’ll find the name of the workspace and the workspace id following it in parentheses. Please let me know if you have any further questions.

SF

From: Brian Junker <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Date: Thursday, April 22, 2021 at 11:52 AM
To: "Fancsali, Stephen" <[email-masked]>, Vincent Aleven <[email-masked]>
Cc: Smeet Poladia <[email-masked]>, Zhuyi Xu <[email-masked]>, Zhou Lu CMU MSP <[email-masked]>
Subject: Re: Questions about Mathia dataset

*External Email*
________________________________
Hi Stephen,

Maybe I can jump in here and sharpen the questions a bit.

(1) regarding the 427 workspaces and 964 KC's:  Which workspaces & KC's are in the "shipped" curriculum sequence for Course 2? (or is that something the team should be able to tell from one of the fields in their data set?).  The research proposal that was submitted to IES earlier this spring can consider a larger set of workspaces (other courses/grade levels/etc), but for this masters-level project it will be quite enough to concentrate on the "shipped" Course 2 curriculum.

(2) Really helpful info about leaving an incomplete workspace and (possibly) returning to it later!  Thanks!  I think the team should be able to detect particular cases from the timestamps on individual steps/attempts in the data files they have.

(3) The sampling scheme you used seems fine to me.  Once we know which workspaces are Course 2 workspaces, we can proceed with that sample I think.

all best,

-BJ
On 4/22/2021 10:24 AM, Smeet Poladia wrote:

Begin forwarded message:

From: "Fancsali, Stephen" <[email-masked]<mailto:[email-masked]>>
Subject: Re: Questions about Mathia dataset
Date: April 22, 2021 at 12:57:35 AM EDT
To: Smeet Poladia <[email-masked]<mailto:[email-masked]>>
Cc: Zhou Lu CMU MSP <[email-masked]<mailto:[email-masked]>>, Zhuyi Xu <[email-masked]<mailto:[email-masked]>>

Hi Elaine, Smeet, & Zhou,

Sorry for my delay in getting back to you. I'll take your questions by number:

1.) The random sampling of students sought to focus on students who had completed a large number of Course 2 workspaces, but those students might have also done substantial amounts of work in workspaces associated with other courses. Teachers have flexibility to create "custom modules" of workspaces that might mix workspaces from other grade-levels, and some students could also complete a course and move on to the next course, etc. This is related to the response for question 3. While these students might end up working in 427 unique workspaces, it's not surprising that there are only 75 workspaces that are attempted by 200+ students. These 75 workspaces are more than likely the workspaces in our "shipped" curriculum sequence for Course 2 that played a role in the random sampling of students.

2.) Students can start a workspace, leave it incomplete, and return back to it after completing one or more other workspace(s). While students typically complete a workspace before moving on to the next workspace, teachers can make more than one "module" available to students in their class at a time, allowing for students to abandon work in a workspace (in one module) and go work in another workspace in another module. They may or may not subsequently return to the workspace they originally left incomplete (or abandoned). Students may also end their work for the school year in an incomplete workspace. Presumably, workspaces that were never completed should have `CF (Workspace Progress Status)` == 'NOT_COMPLETED'.

3.) See #1, but this isn't surprising at all given that the sample of students was drawn from our entire user base, sampling from among students who completed a substantial number of Course 2 workspaces (I think the criterion was 20+ Course 2 workspaces completed). I didn't make an attempt to sample from students who ONLY completed Course 2 workspaces and nothing else for these data.

Does that all make sense?

All the best,
Stephen Fancsali

--

Brian Junker                    (412) 268 - 2718

Department of Statistics        [email-masked]<mailto:[email-masked]>

232 Baker Hall                  FAX: (412) CMU-STAT

Carnegie Mellon University        or (412) 268-7828

Pittsburgh PA 15213 USA

WWW: http://www.stat.cmu.edu/~brian/<http://www.stat.cmu.edu/~brian>